### File

`packages/eui/packages/components-next/src/lib/layout/eui-language-selector/language-selector.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
providers | `EuiDynamicComponentService`
selector | `eui-language-selector`
styleUrls | `./_styles/_index.scss`
templateUrl | `./language-selector.component.html`

### Index

###### Properties
Public appShellService languages selectedLanguage
###### Methods
onLanguageChanged open
###### HostBindings
class
###### Accessors
isShowDropDown isShowModal

### Constructor

`constructor(cd: ChangeDetectorRef, euiDialogService: EuiDialogService, appShellService: UxAppShellService, translateService: TranslateService)`
Parameters :
Name | Type | Optional
cd | `ChangeDetectorRef` | No
euiDialogService | `EuiDialogService` | No
appShellService | `UxAppShellService` | No
translateService | `TranslateService` | No

### HostBindings

class

### Methods

onLanguageChanged
`onLanguageChanged(language: UxLanguage)`
Parameters :
Name | Type | Optional
language | `UxLanguage` | No
Returns : `void`

open
`open(titleLabel: string)`
Opens the modal that renders the UxLanguage array with modal actions bindings to this Component Parameters :
Name | Type | Optional | Default value
titleLabel | `string` | No | `this.translateService.instant('eui.languageSelector.modalTitle')`
Returns : `void`

### Properties

Public appShellService
Type : `UxAppShellService`

languages
Type : `UxLanguage[]`

selectedLanguage
Type : `UxLanguage`

### Accessors

isShowDropDown
get `isShowDropDown()`
returns true if there are at least one and max four languages. Returns : `boolean`

isShowModal
get `isShowModal()`
returns true if there are at least five languages. Returns : `boolean`

# result-matching ""

# No results matching ""